.page-header {
  background-image: url("../img/header-background-L.jpg");
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
  text-align: center;
  padding-bottom: 416px;
  font-family: $font-Montserrat;
  position: relative;
  @media (min-width: 482px) {
    padding-bottom: 460px;
  }
}
.header-nav{
  padding-top: 34px;
  background-color: #27262A;
  padding-bottom: 32px;
  position: relative;
  @media (min-width: 482px) {
    padding-top: 22px;
  }
  @media (min-width: 993px) {
    background-color: transparent;
    padding-top: 30px;
  }
}
.page-header__container {
  display: flex;
  justify-content: space-between;
  align-items: center;

  @media (min-width: 481px) {
    flex-direction: column;
    max-height: 118px;
    row-gap: 30px;
    flex-wrap: wrap;
    align-items: start;
    & .button--nav {
      position: absolute;
      right: 10px;
    }
    & .header-nav__list {
      align-self: center;
    }
  }
  @media (min-width: 993px){
    flex-direction: row;
    justify-content: end;
    column-gap: 48px;
    position: relative;
    & .button--nav {
      position: static;
    }
    & .header-nav__logo {
      position: absolute;
      left: 10px;
    }
  }
}
.header-nav__logo{
  position: relative;
  display: flex;
  align-items: center;
  column-gap: 17px;
  text-decoration: none;
  grid-area: logo;
  &:hover>.header-nav__logo-text{
    color: white;
  }
  &:hover>picture:last-of-type>.header-nav__logo-img--hover{
    visibility: visible;
  }
}
.header-nav__logo-img{
  width: 43px;
  height: 41px;
  &--hover{
    position: absolute;
    left: 0;
    top: 0;
    visibility: hidden;
  }

}
.header-nav__logo-text{
  font-family: $font-Lato;
  font-weight: 700;
  font-size: 24px;
  line-height: 16px;
  text-transform: uppercase;
  color: $mainColor;
  @media (max-width: 480px) {
    display: none;
  }
}

.burger-btn__line{
  background: #fff;
  border-radius:10px;
  height:3px;
  margin: 6px 0;
  transition: .4s  cubic-bezier(0.68, -0.6, 0.32, 1.6);
  width: 100%;
  &:first-of-type{
    width: 50%;
    align-self: end;
  }
}
.burger-btn{
  background: transparent;
  border: none;
  padding: 0;
  display:flex;
  flex-direction:column;
  width:26px;
  cursor:pointer;
  grid-area: button;
  @media (min-width: 481px) {
    display: none;
  }
}

.burger-btn--open>.burger-btn__line:first-of-type{
  transform-origin: bottom;
  transform:rotatez(-45deg) translate(-8px,6px)
}
.burger-btn--open>.burger-btn__line:nth-of-type(2){
  transform-origin:top;
  transform:rotatez(45deg)
}
.burger-btn--open>.burger-btn__line:nth-of-type(3){
  transform-origin:bottom;
  width:50%;
  transform:rotatez(-45deg) translate(9px,-6px)
}

.header-nav__list{
  display: none;
  text-align: left;
  margin: 0;
  padding-left: 0;
  list-style: none;
  &--open {
    width: calc(100% - 20px);
    display: flex;
    flex-direction: column;
    position: absolute;
    top: 100%;
    left: 10px;
  }
  @media (min-width: 481px) {
    display: flex;
    column-gap: 47px;
  }
  @media (max-width: 536px) {
    column-gap: 17px;
  }
}
.header-nav__list-item{
  padding-left: 39px;
  padding-top: 29px;
  padding-bottom: 21px;
  background-color: #333333;
  border-bottom: 3px solid #3B3B3B;
  @media (max-width: 480px) {
    &:hover > .header-nav__list-link, &:active > .header-nav__list-link, &:focus > .header-nav__list-link {
      color: $mainColor;
      position: relative;
      &::before {
        content: "";
        position: absolute;
        left: -29px;
        top: -14px;
        width: 8px;
        height: 53px;
        background-color: $mainColor;
      }
    }
  }
  @media (min-width: 481px){
    padding: 0;
    background-color: transparent;
    border-bottom: none;
  }
}

.header-nav__list-link{
  font-weight: 400;
  font-size: 26px;
  line-height: 26px;
  color: #FFFFFF;
  text-decoration: none;
  @media (min-width: 481px) {
    color: $mainColor;
    font-weight: 700;
    font-size: 16px;
    line-height: 18px;
    &:hover{
      color: white;
    }
  }
}
.page-header__title{
  font-weight: 700;
  font-size: 48px;
  line-height: 48px;
  color: #FFFFFF;
  margin-top: 50px;
  margin-bottom: 19px;
  @media (min-width: 481px) {
    margin-top: 70px;
  }
}
.page-header__text{
  font-size: 18px;
  line-height: 24px;
  color: $mainColor;
  margin-top: 0;
  margin-bottom: 14px;
}
.page-header__text-version{
  font-size: 14px;
  line-height: 14px;
  text-transform: uppercase;
  color: #848E97;
}
.page-header__under-btn-text{
  font-size: 14px;
  line-height: 14px;
  color: #848E97;
  text-align: center;
  margin-top: 12px;
  margin-bottom: 0;
}
.page-header__large-btn-wrapper{
  margin-left: auto;
  margin-right: auto;
  position: absolute;
  bottom: -50px;
  left: calc(50% - 142px);
}